FeatureGate

Unconfigure flag environment

Removes a flag from a project environment. Runtime evaluation for that environment will fall back as if the flag is not present.

DELETEhttps://api.featuregate.dev/v1/projects/{projectId}/flags/{flagKey}/environments/{environmentKey}
Authenticate with a management automation key in the Authorization header.management:flags:write

Path parameters

projectIdstringrequired

Stable project_ identifier.

Pattern: ^project_.+

flagKeystringrequired

Lowercase letters, numbers, and hyphens only.

Length: 1-80Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$

environmentKeystringrequired

Lowercase letters, numbers, and hyphens only.

Length: 1-80Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$

Request
sh
curl -X DELETE https://api.featuregate.dev/v1/projects/project_example/flags/new-checkout/environments/production \
  -H "Authorization: Bearer fg_ak_test_0123456789abcdef0123456789abcdef0123456789abcdef"

Returns

flagEnvironmentConfigobjectrequired
idstringrequired

Length: 1+

flagIdstringrequired

Length: 1+

environmentIdstringrequired

Length: 1+

Responses

200The removed flag environment configuration identifiers.
400Validation failed.
401Authentication failed.
403The key is not allowed to access this resource.
429Rate limit exceeded.
500Unexpected server error.